This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 61620 - A binfmt_misc registration script
A binfmt_misc registration script
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-22 01:41 EST by Need Real Name
Modified: 2014-03-16 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:44:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the new binfmt_misc script (827 bytes, application/x-gzip)
2002-03-22 01:46 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-03-22 01:41:29 EST
You include a init.d script called "windows" in the wine package. I've 
slightly modified this script, so that it reads now configuration file 
/etc/sysconfig/binfmt_misc and can now register any file type. You may want to 
include it into the distribution.
Comment 1 Need Real Name 2002-03-22 01:46:47 EST
Created attachment 49586 [details]
the new binfmt_misc script
Comment 2 Bernhard Rosenkraenzer 2002-06-25 08:02:02 EDT
Assigning back to initscripts: The RFE is to replace the wine-specific  
solution with a generic binfmt_misc script (take a look at the attached file),  
and such a thing should not live in the wine package (while wine should use 
it).
Comment 3 Bill Nottingham 2005-02-22 15:44:45 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

I disagree with the assessment posted above; registration should be done by the
appropriate binary handlers that need it. 

Note You need to log in before you can comment on or make changes to this bug.